Bug 1808095 - Installer panic when selecting from an empty options list
Summary: Installer panic when selecting from an empty options list
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.z
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
: 4.3.z
Assignee: Joseph Callen
QA Contact: yangyang
URL:
Whiteboard:
Depends On: 1808094
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-27 19:25 UTC by Joseph Callen
Modified: 2020-03-24 14:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1808094
Environment:
Last Closed: 2020-03-24 14:34:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3213 None closed [release-4.3] Bug 1808095: Bump survey vendor for panic 2020-04-26 07:15:39 UTC
Red Hat Product Errata RHBA-2020:0858 None None None 2020-03-24 14:34:44 UTC

Comment 3 yangyang 2020-03-10 01:46:55 UTC
Verified with openshift-install 4.3.0-0.nightly-2020-03-09-200240

Steps to verify:
1. Run installer by issuing below cli:
openshift-install create cluster --dir=./ipi_gcp

2. In the SSH Public Key part, do as following :
  1) enter: /root
  2) enter: space key, 
  3) enter: up/down arrow key

Installer does not panic hence moving it to verified state

Comment 5 errata-xmlrpc 2020-03-24 14:34:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0858


Note You need to log in before you can comment on or make changes to this bug.